List Payee Addresses
curl --request GET \
--url https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id} \
--header 'X-Api-Key: <x-api-key>' \
--header 'X-Api-Secret: <x-api-secret>'import requests
url = "https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"X-Api-Secret": "<x-api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Api-Key': '<x-api-key>', 'X-Api-Secret': '<x-api-secret>'}
};
fetch('https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <x-api-key>",
"X-Api-Secret: <x-api-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<x-api-key>")
req.Header.Add("X-Api-Secret", "<x-api-secret>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}")
.header("X-Api-Key", "<x-api-key>")
.header("X-Api-Secret", "<x-api-secret>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<x-api-key>'
request["X-Api-Secret"] = '<x-api-secret>'
response = http.request(request)
puts response.read_body{
"success": true,
"status_code": 200,
"message": "Success",
"records": [
{
"address_id": "a1b2c3d4-****-****-****-e5f6g7h8i9j0",
"fist_name": "John",
"last_name": "Doe",
"address_line_1": "123 Main Street, Apt 4B",
"address_line_2": "123 Main Street, Apt 4B",
"company_name": "Meta Corp",
"city": "New York",
"state": "NY",
"zipcode": "10001",
"country": "United States",
"is_default": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"totalRecords": 0,
"queryGeneratedTime": 1778161546
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Payee Address
Retrieve all addresses saved for a payee.
This endpoint allows you to:
- Display multiple billing or location records
- Support selection of address during product issuance
- Review default and alternate addresses
- Maintain complete and organized payee records
- Prepare for future Paywint services tied to address data
GET
/
api
/
user-api
/
address
/
payee
/
list
/
{payee_id}
List Payee Addresses
curl --request GET \
--url https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id} \
--header 'X-Api-Key: <x-api-key>' \
--header 'X-Api-Secret: <x-api-secret>'import requests
url = "https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"X-Api-Secret": "<x-api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Api-Key': '<x-api-key>', 'X-Api-Secret': '<x-api-secret>'}
};
fetch('https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <x-api-key>",
"X-Api-Secret: <x-api-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<x-api-key>")
req.Header.Add("X-Api-Secret", "<x-api-secret>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}")
.header("X-Api-Key", "<x-api-key>")
.header("X-Api-Secret", "<x-api-secret>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.paywint.com/api/user-api/address/payee/list/{payee_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<x-api-key>'
request["X-Api-Secret"] = '<x-api-secret>'
response = http.request(request)
puts response.read_body{
"success": true,
"status_code": 200,
"message": "Success",
"records": [
{
"address_id": "a1b2c3d4-****-****-****-e5f6g7h8i9j0",
"fist_name": "John",
"last_name": "Doe",
"address_line_1": "123 Main Street, Apt 4B",
"address_line_2": "123 Main Street, Apt 4B",
"company_name": "Meta Corp",
"city": "New York",
"state": "NY",
"zipcode": "10001",
"country": "United States",
"is_default": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"totalRecords": 0,
"queryGeneratedTime": 1778161546
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Path Parameters
Response
Successful Response
